API Collection
Ankiren Flashcard API (DEPRECATED)
Deprecated
**DEPRECATED (2026-01-03)**: This API has been deprecated as part of the LifeOS pivot. See [CR-005](../../spec/change-requests/CR-005-deprecate-flashcard.md) for details. All endpoints have been removed. Database tables are preserved for data archive.
Production
https://ankiren.comStaginghttps://staging.ankiren.comUAThttps://uat.ankiren.comBASEhttps://ankiren.com
Overview
10 endpoint trong 3 nhóm · OpenAPI 3.0.3 · phiên bản 1.0.0 · spec tại docs/api/flashcard-api.yaml.
Decks5 endpoint
Deck management
Cards4 endpoint
Card management
Reviews1 endpoint
SM-2 spaced repetition reviews
Authentication
Chấp nhận bất kỳ scheme nào dưới đây.
- bearerAuthhttp · bearerGửi header
Authorization: Bearer <token>. - cookieAuthapiKey · cookieCookie phiên
next-auth.session-tokentrên miền.ankiren.com.
cURL
curl 'https://ankiren.com/api/decks' \ -H 'Authorization: Bearer <token>'
Topics
Decks
Deck management
- GETList user's decks
/api/decks - POSTCreate deck
/api/decks - GETGet deck with cards
/api/decks/{id} - PUTUpdate deck
/api/decks/{id} - DELETEDelete deck
/api/decks/{id}
Cards
Card management
- POSTCreate card
/api/cards - GETGet card
/api/cards/{id} - PUTUpdate card
/api/cards/{id} - DELETEDelete card
/api/cards/{id}